Subject: Re: [PoC] mailmap and trailers

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Oct 2021 12:21:54 -0700

Jeff King <[email-masked]> writes:

> What's here should work reliably, I think, but is pretty incomplete:
>
>   - it only works for %(trailers). We'd probably want a
>     "--mailmap-trailers" options to affect --pretty=medium, etc. That
>     code would probably go in pretty.c:pp_remainder()

Yup, that would make it much more useful.

> Anyway, here it is. I'm not sure if I'll push it forward more, but
> certainly anybody interested is welcome to pick it up and run with it. I
> mostly wanted to show how much and where such code would be, and see how
> it performed.

Nice.

Thanks.